---
title: "Get usage summary for current billing period"
url: https://hexelstudio.com/docs/api/compute/usage/summary
---

# Get usage summary for current billing period

**GET** `/compute/v1/usage/summary`

Returns aggregated VM-seconds consumed by tier for the current calendar month

## Headers

- `Authorization: string`

  `Bearer <token>`. STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

## Returns

`200` OK (`UsageSummary`)

- `by_tier: optional map[integer]`

- `period_end: optional string`

- `period_start: optional string`

- `total_seconds: optional integer`

- `vm_count: optional integer`

## Errors

- `500` Internal Server Error

## Example

```bash
curl --request GET \
  --url 'https://compute.hexelstudio.com/compute/v1/usage/summary' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "by_tier": {
    "key": 0
  },
  "period_end": "string",
  "period_start": "string",
  "total_seconds": 0,
  "vm_count": 0
}
```

### Response (500)

```json
{
  "code": 0,
  "error_code": "string",
  "message": "string"
}
```
